using Beagle;
using Gtk;
using System;

namespace poochy
{
	class MainClass
	{
		public static void Main(string[] args)
		{
			Query q = new Beagle.Query();
			q.HitsAddedEvent += OnHitsAdded;
			q.FinishedEvent += OnFinished;
					
			q.AddText(args[0]);
			q.AddHitType("File");
			q.SendAsync();
			
			Gtk.Application.Init();			
			Gtk.Application.Run();
		}
		
		static void OnHitsAdded (HitsAddedResponse response)
		{
			foreach(Hit hit in response.Hits)
			{
				Console.WriteLine("Hit: " + hit.Uri);
			}
		}
		
		static void OnFinished(FinishedResponse response)
		{
			Application.Quit();
		}
	}
}